<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__basc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_basc_config_t</compoundname>
    <includes local="no">cy_ble_bas.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__basc__config__t_1a1573c99ba8f94ca1c068deaf362fcc25" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__basc__t">cy_stc_ble_basc_t</ref> *</type>
        <definition>cy_stc_ble_basc_t* cy_stc_ble_basc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="122" />
      </memberdef>
      <memberdef id="structcy__stc__ble__basc__config__t_1a1bb60aab15c900305cfe8fcc06354f64" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_basc_config_t::serviceCount</definition>
        <argsstring />
        <name>serviceCount</name>
        <briefdescription>
<para>The number supported Battery Services as client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="125" />
      </memberdef>
      <memberdef id="structcy__stc__ble__basc__config__t_1ace915a8aef5686015d434e5dd75ade38" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_basc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="128" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="119">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="116">
        <label>cy_stc_ble_basc_config_t</label>
        <link refid="structcy__stc__ble__basc__config__t" />
        <childnode refid="117" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="117">
        <label>cy_stc_ble_basc_t</label>
        <link refid="structcy__stc__ble__basc__t" />
        <childnode refid="118" relation="usage">
          <edgelabel>batteryLevel</edgelabel>
        </childnode>
        <childnode refid="119" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="118">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="130" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="120" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__basc__config__t_1a1573c99ba8f94ca1c068deaf362fcc25" virt="non-virtual"><scope>cy_stc_ble_basc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__basc__config__t_1a1bb60aab15c900305cfe8fcc06354f64" virt="non-virtual"><scope>cy_stc_ble_basc_config_t</scope><name>serviceCount</name></member>
      <member prot="public" refid="structcy__stc__ble__basc__config__t_1ace915a8aef5686015d434e5dd75ade38" virt="non-virtual"><scope>cy_stc_ble_basc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>